## org.codehaus.groovy.syntax
Class RuntimeParserException

A helper class to allow parser exceptions to be thrown anywhere in the code. Should be replaced when no longer required.

author:
  James Strachan

version:
  $Revision: 7922 $

Constructor Summary
`RuntimeParserException(String message, ASTNode node)`

Method Summary
`void` | `throwParserException()`

Constructor Detail

### RuntimeParserException

    public RuntimeParserException(String message, ASTNode node)

Method Detail

### throwParserException

    public void throwParserException()